Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# DomainC.h File Reference

`#include "ace/pre.h"`
`#include "tao/corba.h"`
`#include "tao/corbafwd.h"`
`#include "PolicyC.h"`
`#include "Sequence.h"`
`#include "ace/post.h"`

Include dependency graph for DomainC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
## Compounds
interface | CORBA::ConstructionPolicy
interface | CORBA::DomainManager
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
#define | _CORBA_DOMAINMANAGER___PTR_CH_
#define | _CORBA_DOMAINMANAGER___VAR_CH_
#define | _CORBA_DOMAINMANAGER___OUT_CH_
#define | _CORBA_DOMAINMANAGER_CH_
#define | _CORBA_CONSTRUCTIONPOLICY___PTR_CH_
#define | _CORBA_CONSTRUCTIONPOLICY___VAR_CH_
#define | _CORBA_CONSTRUCTIONPOLICY___OUT_CH_
#define | _CORBA_CONSTRUCTIONPOLICY_CH_
#define | __TAO_UNBOUNDED_OBJECT_SEQUENCE_CORBA_DOMAINMANAGERLIST_CH_
#define | _CORBA_DOMAINMANAGERLIST_CH_
#define | _CORBA_DOMAINMANAGERLIST___VAR_CH_
#define | _CORBA_DOMAINMANAGERLIST___OUT_CH_
## Functions
TAO_Export void | operator<<= (CORBA::Any &, CORBA::DomainManager_ptr)
TAO_Export void | operator<<= (CORBA::Any &, CORBA::DomainManager_ptr *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::DomainManager_ptr &)
TAO_Export void | operator<<= (CORBA::Any &, CORBA::ConstructionPolicy_ptr)
TAO_Export void | operator<<= (CORBA::Any &, CORBA::ConstructionPolicy_ptr *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::ConstructionPolicy_ptr &)
TAO_Export void | operator<<= (CORBA::Any &, const CORBA::DomainManagerList &)
TAO_Export void | operator<<= (CORBA::Any &, CORBA::DomainManagerList *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::DomainManagerList *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const CORBA::DomainManagerList *&)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::DomainManager_ptr)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::DomainManager_ptr &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::ConstructionPolicy_ptr)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::ConstructionPolicy_ptr &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::DomainManagerList &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::DomainManagerList &)
## Variables
TAO_NAMESPACE_CLOSE TAO_Export CORBA::_TAO_DomainManager_Proxy_Broker *(* | CORBA__TAO_DomainManager_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)
TAO_Export CORBA::_TAO_ConstructionPolicy_Proxy_Broker *(* | CORBA__TAO_ConstructionPolicy_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)

## Define Documentation

#define __TAO_UNBOUNDED_OBJECT_SEQUENCE_CORBA_DOMAINMANAGERLIST_CH_

#define _CORBA_CONSTRUCTIONPOLICY___OUT_CH_

#define _CORBA_CONSTRUCTIONPOLICY___PTR_CH_

#define _CORBA_CONSTRUCTIONPOLICY___VAR_CH_

#define _CORBA_CONSTRUCTIONPOLICY_CH_

#define _CORBA_DOMAINMANAGER___OUT_CH_

#define _CORBA_DOMAINMANAGER___PTR_CH_

#define _CORBA_DOMAINMANAGER___VAR_CH_

#define _CORBA_DOMAINMANAGER_CH_

#define _CORBA_DOMAINMANAGERLIST___OUT_CH_

#define _CORBA_DOMAINMANAGERLIST___VAR_CH_

#define _CORBA_DOMAINMANAGERLIST_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA::DomainManagerList & | _tao_sequence
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA::ConstructionPolicy_ptr | _tao_objref
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA::DomainManager_ptr | _tao_objref
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::DomainManagerList * | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const CORBA::DomainManagerList & | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::ConstructionPolicy_ptr * | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::ConstructionPolicy_ptr | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::DomainManager_ptr * | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | CORBA:: | DomainManager_ptr
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA::DomainManagerList & | _tao_sequence
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA::ConstructionPolicy_ptr & | _tao_objref
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA::DomainManager_ptr & | _tao_objref
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const CORBA::DomainManagerList *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA::DomainManagerList *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA::ConstructionPolicy_ptr & | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA::DomainManager_ptr & | _tao_elem
| ) |

## Variable Documentation

TAO_Export CORBA::_TAO_ConstructionPolicy_Proxy_Broker*(* CORBA__TAO_ConstructionPolicy_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj )

TAO_NAMESPACE_CLOSE TAO_Export CORBA::_TAO_DomainManager_Proxy_Broker*(* CORBA__TAO_DomainManager_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj )